Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.etkra.protocol.v2
Class CompleteETKRegistrationResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.commons.protocol.v2.StatusResponseType
              be.fgov.ehealth.etkra.protocol.v2.CompleteETKRegistrationResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:49+01:00",
               comments="JAXB RI v2.2.11")
    public class CompleteETKRegistrationResponse

extends StatusResponseType
implements Serializable

If the ToBeRegistered X509 certificate was correctly generated then the response will contain the Encryption Token that the web service generated based on the encryption certificate.

Java class for CompleteETKRegistrationResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CompleteETKRegistrationResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence minOccurs="0">
             <element name="ETK" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <element name="ToBeActivated" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CompleteETKRegistrationResponse()`

Method Summary
`byte[]` | `getETK()` Gets the value of the etk property.
`Boolean` | `isToBeActivated()` Gets the value of the toBeActivated property.
`void` | `setETK(byte[] value)` Sets the value of the etk property.
`void` | `setToBeActivated(Boolean value)` Sets the value of the toBeActivated property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType
`getStatus, setStatus`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompleteETKRegistrationResponse

    public CompleteETKRegistrationResponse()

Method Detail

### getETK

    public byte[] getETK()

  Gets the value of the etk property.

  Returns:
    possible object is byte[]

### setETK

    public void setETK(byte[] value)

  Sets the value of the etk property.

  Parameters:
    `value` - allowed object is byte[]

### isToBeActivated

    public Boolean isToBeActivated()

  Gets the value of the toBeActivated property.

  Returns:
    possible object is `Boolean`

### setToBeActivated

    public void setToBeActivated(Boolean value)

  Sets the value of the toBeActivated property.

  Parameters:
    `value` - allowed object is `Boolean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TECHNICAL 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.